This discussion is archived
2 Replies Latest reply: Feb 21, 2013 11:53 AM by 992330 RSS

iPlanet 7.0.15 install fails on CENT OS 6/RHEL6

992330 Newbie
Currently Being Moderated
I'm trying to get a CENTOS 6.3 system up and running to test out iPlanet 7. We're running an older version on Solaris & want to ultimately go to RHEL6. Here's what I've done do far:
-Install CENT OS 6.3 32bit - Minimal Desktop
-Apply patches
-Install EPEL & install htop
-Install jdk-6u39-linux-i586 from Oracle.com
-Install iPlanet 7

The install fails every time with the following error at the end:
WARNING: /opt/oracle/webserver7/lib/libadminjni.so: libstdc++.so.5: cannot open shared object file: No such file or directory
java.lang.UnsatisfiedLinkError: /opt/oracle/webserver7/lib/libadminjni.so: libstdc++.so.5: cannot open shared object file: No such file or directory
     at java.lang.ClassLoader$NativeLibrary.load(Native Method)
     at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)
     at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1732)
     at java.lang.Runtime.loadLibrary0(Runtime.java:823)
     at java.lang.System.loadLibrary(System.java:1028)
     at com.sun.web.admin.util.Util.loadAdminJNILibrary(Util.java:148)
     at com.sun.web.admin.util.ProcessRunner.<clinit>(ProcessRunner.java:189)
     at com.sun.web.admin.util.PlatformUtil.validateJavaHome(PlatformUtil.java:54)
     at com.sun.web.admin.configurator.ConfigureServer.configureServer(ConfigureServer.java:530)
     at com.sun.web.admin.configurator.ConfigureServer.main(ConfigureServer.java:68)
Feb 20, 2013 4:38:55 PM com.sun.web.admin.configurator.ConfigureServer printFailedMessage
FINE: ADMIN2001: Error occurred during configuration of server instances
Feb 20, 2013 4:38:55 PM com.sun.web.installer.web.actions.PostInstall_core configureServer
WARNING: The backend configurator failed

I Googled the error message and all I found was to try installing compat-libstdc++-33:

yum -y install compat-libstdc++-33

When I do that, and re-run the installation it still fails but this time:

WARNING: /opt/oracle/webserver7/lib/libadminjni.so: /opt/oracle/webserver7/lib/libfreebl3.so: version `NSSRAWHASH_3.12.3' not found (required by /lib/libcrypt.so.1)
java.lang.UnsatisfiedLinkError: /opt/oracle/webserver7/lib/libadminjni.so: /opt/oracle/webserver7/lib/libfreebl3.so: version `NSSRAWHASH_3.12.3' not found (required by /lib/libcrypt.so.1)
     at java.lang.ClassLoader$NativeLibrary.load(Native Method)
     at java.lang.ClassLoader.loadLibrary0(ClassLoader.java:1807)
     at java.lang.ClassLoader.loadLibrary(ClassLoader.java:1732)
     at java.lang.Runtime.loadLibrary0(Runtime.java:823)
     at java.lang.System.loadLibrary(System.java:1028)
     at com.sun.web.admin.util.Util.loadAdminJNILibrary(Util.java:148)
     at com.sun.web.admin.util.ProcessRunner.<clinit>(ProcessRunner.java:189)
     at com.sun.web.admin.util.PlatformUtil.validateJavaHome(PlatformUtil.java:54)
     at com.sun.web.admin.configurator.ConfigureServer.configureServer(ConfigureServer.java:530)
     at com.sun.web.admin.configurator.ConfigureServer.main(ConfigureServer.java:68)
Feb 20, 2013 4:42:22 PM com.sun.web.admin.configurator.ConfigureServer printFailedMessage
FINE: ADMIN2001: Error occurred during configuration of server instances
Feb 20, 2013 4:42:22 PM com.sun.web.installer.web.actions.PostInstall_core configureServer
WARNING: The backend configurator failed


What am I doing wrong?
  • 1. Re: iPlanet 7.0.15 install fails on CENT OS 6/RHEL6
    992330 Newbie
    Currently Being Moderated
    UPDATE: Tried installing nss-tools to see if it would satisfy the missing "libfreebl3.so" requirement, but I get a message saying it's already installed.

    Is there some kind of step-by-step install guide for iPlanet 7 on RHEL Linux?
  • 2. Re: iPlanet 7.0.15 install fails on CENT OS 6/RHEL6
    992330 Newbie
    Currently Being Moderated
    UPDATE: In the research I've been doing, it appears the problem is stemming from iPlanet shipping with one version of a library and the operating system shipping with another. I have not found any clean way to deal with the problem.

    The only solution I have at the moment is I can run iPlanet 7.0.15 on CENT OS 5.9/RHEL 5.x using the "compat-libstdc++" install mentioned above. At this time, it does not appear possible to get iPlanet 7 to run on CENT OS 6.4/RHEL 6.

    Does anyone have any comments/suggestions/etc?

Legend

  • Correct Answers - 10 points
  • Helpful Answers - 5 points